Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454759 - Software item details page incorrectly indicates required fields
Summary: Software item details page incorrectly indicates required fields
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Product Mappings
Version: 1.3.8
Hardware: All
OS: All
medium
low
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 21:28 UTC by Mike Amburn
Modified: 2011-01-31 17:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-31 17:39:06 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-09 21:28:54 UTC
On the New Software Download page (http://cspserver2.app.dev.redhat.com:8080/support-portal/restricted/software/softwareDetails.html) the following fields have a red '*' indicating it is a required field:
Name, Version, Product Category, Module

However, its possible to create an item without any of the fields that are required.

NOTE: I don't think that the "Module" category should be required, many of the patches don't specify a module

----
Data relocated from Jira (JBNET-1836)

Comment 1 John Sanda 2008-09-04 14:19:56 UTC
This is referring to the software repository details page in SEP. We need determine which fields should be required (even if they aren't required by the database) and provide the necessary validation.

Comment 2 John Sanda 2008-09-04 14:22:17 UTC
Slight correction. This is referring to the software item details page, not the repository details page; however this same issue may exist in the software repository details page.

Comment 3 David Spalding 2011-01-31 17:39:06 UTC
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.

Comment 4 David Spalding 2011-01-31 17:47:15 UTC
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.


Note You need to log in before you can comment on or make changes to this bug.